LOG2(3)

NAME
log2, log2f, log2l - base-2 logarithmic function

SYNOPSIS
#include <math.h>

double log2(double x);
float log2f(float x);
long double log2l(long double x);

Compile with -std=c99; link with -lm.

DESCRIPTION
The log2() function returns the base 2 logarithm of x.

ERRORS
The log2() function can return the following error:

EDOM
    The argument x is negative.

ERANGE
    The argument x is zero. The log of zero is not defined (minus infinity).

CONFORMING TO
SVID 3, POSIX, 4.3BSD, ISO 9899. The float and the long double variants are C99 requirements.

SEE ALSO
cbrt(3), clog2(3), sqrt(3)